import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconLock as IconLockClass } from "../../../../components/icon/icons/lock.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconLock = (props) => {
  IconLockClass.define();
  const JSXElement = getReactComponent("gds-icon-lock");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconLock.displayName = "IconLock";
export {
  IconLock
};
